Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 163025

Summary: missing buildrequires 'ed'
Product: [Fedora] Fedora Reporter: Karsten Hopp <karsten>
Component: compat-dbAssignee: Paul Nasrat <pnasrat>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-10-12 13:19:07 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Karsten Hopp 2005-07-12 11:14:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.8) Gecko/20050623 Fedora/1.0.4-5 Firefox/1.0.4

Description of problem:
rebuild fails when ed ipackage isn't innstalled.
../../env/env_open.c: In function 'db_version':
../../env/env_open.c:52: error: '__EDIT_DB_VERSION_MAJOR__' undeclared (first use in this function)
../../env/env_open.c:52: error: (Each undeclared identifier is reported only once
../../env/env_open.c:52: error: for each function it appears in.)
../../env/env_open.c:54: error: '__EDIT_DB_VERSION_MINOR__' undeclared (first use in this function)
../../env/env_open.c:56: error: '__EDIT_DB_VERSION_PATCH__' undeclared (first use in this function)
make: *** [env_open.lo] Error 1

s_config edits the configure scripts by piping commands into ed ;-(   and fails.

Version-Release number of selected component (if applicable):
compat-db-4.2.52-2

How reproducible:
Always

Steps to Reproduce:
1. rpm -e ed
2. rpmbuild --rebuild compat-db-4.2.52-2.src.rpm
3. check output
  

Additional info:

Comment 1 Karsten Hopp 2005-10-12 13:19:07 UTC
compat-db-4.2.52-3

Comment 2 Fedora Update System 2006-02-17 19:18:30 UTC
From User-Agent: XML-RPC

compat-db-4.2.52-2.FC4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.